Contents

# DateSerial Function

Returns a Date value for a specified year, month, and day.

### Syntax:

    DateSerial (Waggaa, ji'a, guyyaa)

### Return type:

Guyyaa

### Parameters:

Waggaa: Himamsa itergaa kan waggaa agarsiisu.Gatii hundinuu gidduu 0 fi 99 akka waggoota 1900-1999 ti hiikamu waggaa hamma kennameen ala ta'e lakqurxa afur qofa galchuu qabda.

Ji'a: Himamsa itergaa kan ji'a waggaa murtaa'ee agarsiisu.Kan fudhatama qabu 1-12 qofa.

Day: Integer expression that indicates the day of the specified month. The accepted range is from 1-31. No error is returned when you enter a non-existing day for a month shorter than 31 days.

Faankishinii DateSerial jedhamu guyyaa muddee 30,1899 fi guyyaa kenname deebisa. Garaagarummaa guyyaa lama gudduu jiru baruuf faankishinii kana fayyyadamuu ni dandeessa.

The DateSerial function returns the data type Variant with VarType 7 (Date). Internally, this value is stored as a Double value, so that when the given date is 1900-01-01, the returned value is 2. Negative values correspond to dates before December 30, 1899 (not inclusive).

Yoo guyyaan hamma hiikame fudhatama argatee ala ta'ae LibreOffice Bu'uurri ergaa dogogoraa deebisa.

Faankishinii DateValue jedhamu yoo akka diraatti hiiktu kan guyya of keessa qabu Faankishinii DateValue jedhamu tokkoon tokkoo ulaagaalee kannen akka(waggaa,ji'aa ,guyyaa)qorachuuf akka himamsa garagar bahaati.

### Error codes:

5 Ejjatoo fashalaan waamu

### Example:

      Sub ExampleDateSerial
      Dim lDate As Long
      Dim sDate As String
          lDate = DateSerial(1964, 4, 9)
          sDate = DateSerial(1964, 4, 9)
          msgbox lDate REM returns 23476
          MsgBox sDate ' returns 1964-04-09 in ISO 8601 format
      End Sub